php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Doc Bug #67759 Incorrect installation instructions
Submitted: 2014-08-04 15:16 UTC Modified: 2015-04-20 13:47 UTC
From: lonny at lonnylot dot com Assigned: pasindu (profile)
Status: Closed Package: zip (PECL)
PHP Version: 5.6.0 OS: *
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: lonny at lonnylot dot com
New email:
PHP Version: OS:

 

 [2014-08-04 15:16 UTC] lonny at lonnylot dot com
Description:
------------
---
From manual page: http://www.php.net/zip.installation
---

The '--with-zip=[DIR]' option does not exist. The option is '--enable-zip' and it uses a built in libzip library. It also seems that in 5.6 the '--with-libzip[=DIR]' has been implemented.


Patches

with-libzip.patch (last revision 2015-04-16 18:25 UTC by cmb@php.net)

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2015-04-16 12:56 UTC] cmb@php.net
-Status: Open +Status: Closed -Assigned To: +Assigned To: cmb
 [2015-04-16 12:56 UTC] cmb@php.net
This bug has been fixed in the documentation. Thank you for the
report, and for helping us make our documentation better.
 [2015-04-16 14:20 UTC] lonny at lonnylot dot com
-Status: Closed +Status: Assigned
 [2015-04-16 14:20 UTC] lonny at lonnylot dot com
I'm not seeing where the instructions indicate that as of 5.6 you can use the '--with-libzip=[dir]' option. Am I missing something?
 [2015-04-16 18:25 UTC] cmb@php.net
-Status: Assigned +Status: Verified -PHP Version: 5.5.15 +PHP Version: 5.6.0 -Assigned To: cmb +Assigned To:
 [2015-04-16 18:25 UTC] cmb@php.net
Oops, I've completely overlooked the --with-libzip option. Thanks
for re-opening, Lonny. Indeed, that has been introduced with PHP
5.6.0[1]. I've attached a patch that also fixes the erroneous
statement that no Windows DLLs are available. I'm unassigning
myself so someone with doc karma can pick up.

[1] <http://php.net/manual/en/migration56.extensions.php#migration56.extensions.zip>
 [2015-04-16 18:25 UTC] cmb@php.net
The following patch has been added/updated:

Patch Name: with-libzip.patch
Revision:   1429208747
URL:        https://bugs.php.net/patch-display.php?bug=67759&patch=with-libzip.patch&revision=1429208747
 [2015-04-20 13:45 UTC] pasindu@php.net
Automatic comment from SVN on behalf of pasindu
Revision: http://svn.php.net/viewvc/?view=revision&amp;revision=336600
Log: Fix Bug 67759 By Christoph Becker
 [2015-04-20 13:47 UTC] pasindu@php.net
-Status: Verified +Status: Closed -Assigned To: +Assigned To: pasindu
 [2015-04-20 13:47 UTC] pasindu@php.net
This bug has been fixed in the documentation's XML sources. Since the
online and downloadable versions of the documentation need some time
to get updated, we would like to ask you to be a bit patient.

Thank you for the report, and for helping us make our documentation better.

http://svn.php.net/viewvc/phpdoc/en/trunk/reference/zip/configure.xml?r1=336340&r2=336600
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Fri Apr 16 00:01:23 2021 UTC